<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>GerenciadorCredenciamentoResource.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.web.rest</a> &gt; <span class="el_source">GerenciadorCredenciamentoResource.java</span></div><h1>GerenciadorCredenciamentoResource.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.web.rest;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.List;
import java.util.Optional;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.codahale.metrics.annotation.Timed;

import br.edu.unifacisa.lti.domain.GerenciadorCredenciamento;
import br.edu.unifacisa.lti.repository.GerenciadorCredenciamentoRepository;
import br.edu.unifacisa.lti.web.rest.util.HeaderUtil;
import io.github.jhipster.web.util.ResponseUtil;

/**
 * REST controller for managing GerenciadorCredenciamento.
 */
@RestController
@RequestMapping(&quot;/api&quot;)
public class GerenciadorCredenciamentoResource {

<span class="fc" id="L34">    private final Logger log = LoggerFactory.getLogger(GerenciadorCredenciamentoResource.class);</span>

    private static final String ENTITY_NAME = &quot;gerenciadorCredenciamento&quot;;
        
    private final GerenciadorCredenciamentoRepository gerenciadorCredenciamentoRepository;

<span class="fc" id="L40">    public GerenciadorCredenciamentoResource(GerenciadorCredenciamentoRepository gerenciadorCredenciamentoRepository) {</span>
<span class="fc" id="L41">        this.gerenciadorCredenciamentoRepository = gerenciadorCredenciamentoRepository;</span>
<span class="fc" id="L42">    }</span>

    /**
     * POST  /gerenciador-credenciamentos : Create a new gerenciadorCredenciamento.
     *
     * @param gerenciadorCredenciamento the gerenciadorCredenciamento to create
     * @return the ResponseEntity with status 201 (Created) and with body the new gerenciadorCredenciamento, or with status 400 (Bad Request) if the gerenciadorCredenciamento has already an ID
     * @throws URISyntaxException if the Location URI syntax is incorrect
     */
    @PostMapping(&quot;/gerenciador-credenciamentos&quot;)
    @Timed
    public ResponseEntity&lt;GerenciadorCredenciamento&gt; createGerenciadorCredenciamento(@RequestBody GerenciadorCredenciamento gerenciadorCredenciamento) throws URISyntaxException {
<span class="fc" id="L54">        log.debug(&quot;REST request to save GerenciadorCredenciamento : {}&quot;, gerenciadorCredenciamento);</span>
<span class="fc bfc" id="L55" title="All 2 branches covered.">        if (gerenciadorCredenciamento.getId() != null) {</span>
<span class="fc" id="L56">            return ResponseEntity.badRequest().headers(HeaderUtil.createFailureAlert(ENTITY_NAME, &quot;idexists&quot;, &quot;A new gerenciadorCredenciamento cannot already have an ID&quot;)).body(null);</span>
        }
<span class="fc" id="L58">        GerenciadorCredenciamento result = gerenciadorCredenciamentoRepository.save(gerenciadorCredenciamento);</span>
<span class="fc" id="L59">        return ResponseEntity.created(new URI(&quot;/api/gerenciador-credenciamentos/&quot; + result.getId()))</span>
<span class="fc" id="L60">            .headers(HeaderUtil.createEntityCreationAlert(ENTITY_NAME, result.getId().toString()))</span>
<span class="fc" id="L61">            .body(result);</span>
    }

    /**
     * PUT  /gerenciador-credenciamentos : Updates an existing gerenciadorCredenciamento.
     *
     * @param gerenciadorCredenciamento the gerenciadorCredenciamento to update
     * @return the ResponseEntity with status 200 (OK) and with body the updated gerenciadorCredenciamento,
     * or with status 400 (Bad Request) if the gerenciadorCredenciamento is not valid,
     * or with status 500 (Internal Server Error) if the gerenciadorCredenciamento couldnt be updated
     * @throws URISyntaxException if the Location URI syntax is incorrect
     */
    @PutMapping(&quot;/gerenciador-credenciamentos&quot;)
    @Timed
    public ResponseEntity&lt;GerenciadorCredenciamento&gt; updateGerenciadorCredenciamento(@RequestBody GerenciadorCredenciamento gerenciadorCredenciamento) throws URISyntaxException {
<span class="fc" id="L76">        log.debug(&quot;REST request to update GerenciadorCredenciamento : {}&quot;, gerenciadorCredenciamento);</span>
<span class="fc bfc" id="L77" title="All 2 branches covered.">        if (gerenciadorCredenciamento.getId() == null) {</span>
<span class="fc" id="L78">            return createGerenciadorCredenciamento(gerenciadorCredenciamento);</span>
        }
<span class="fc" id="L80">        GerenciadorCredenciamento result = gerenciadorCredenciamentoRepository.save(gerenciadorCredenciamento);</span>
<span class="fc" id="L81">        return ResponseEntity.ok()</span>
<span class="fc" id="L82">            .headers(HeaderUtil.createEntityUpdateAlert(ENTITY_NAME, gerenciadorCredenciamento.getId().toString()))</span>
<span class="fc" id="L83">            .body(result);</span>
    }

    /**
     * GET  /gerenciador-credenciamentos : get all the gerenciadorCredenciamentos.
     *
     * @return the ResponseEntity with status 200 (OK) and the list of gerenciadorCredenciamentos in body
     */
    @GetMapping(&quot;/gerenciador-credenciamentos&quot;)
    @Timed
    public List&lt;GerenciadorCredenciamento&gt; getAllGerenciadorCredenciamentos() {
<span class="fc" id="L94">        log.debug(&quot;REST request to get all GerenciadorCredenciamentos&quot;);</span>
<span class="fc" id="L95">        List&lt;GerenciadorCredenciamento&gt; gerenciadorCredenciamentos = gerenciadorCredenciamentoRepository.findAll();</span>
<span class="fc" id="L96">        return gerenciadorCredenciamentos;</span>
    }

    /**
     * GET  /gerenciador-credenciamentos/:id : get the &quot;id&quot; gerenciadorCredenciamento.
     *
     * @param id the id of the gerenciadorCredenciamento to retrieve
     * @return the ResponseEntity with status 200 (OK) and with body the gerenciadorCredenciamento, or with status 404 (Not Found)
     */
    @GetMapping(&quot;/gerenciador-credenciamentos/{id}&quot;)
    @Timed
    public ResponseEntity&lt;GerenciadorCredenciamento&gt; getGerenciadorCredenciamento(@PathVariable Long id) {
<span class="fc" id="L108">        log.debug(&quot;REST request to get GerenciadorCredenciamento : {}&quot;, id);</span>
<span class="fc" id="L109">        GerenciadorCredenciamento gerenciadorCredenciamento = gerenciadorCredenciamentoRepository.findOne(id);</span>
<span class="fc" id="L110">        return ResponseUtil.wrapOrNotFound(Optional.ofNullable(gerenciadorCredenciamento));</span>
    }

    /**
     * DELETE  /gerenciador-credenciamentos/:id : delete the &quot;id&quot; gerenciadorCredenciamento.
     *
     * @param id the id of the gerenciadorCredenciamento to delete
     * @return the ResponseEntity with status 200 (OK)
     */
    @DeleteMapping(&quot;/gerenciador-credenciamentos/{id}&quot;)
    @Timed
    public ResponseEntity&lt;Void&gt; deleteGerenciadorCredenciamento(@PathVariable Long id) {
<span class="fc" id="L122">        log.debug(&quot;REST request to delete GerenciadorCredenciamento : {}&quot;, id);</span>
<span class="fc" id="L123">        gerenciadorCredenciamentoRepository.delete(id);</span>
<span class="fc" id="L124">        return ResponseEntity.ok().headers(HeaderUtil.createEntityDeletionAlert(ENTITY_NAME, id.toString())).build();</span>
    }

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>